OpenJPEG: cidx_manager.c File Reference

OpenJPEG 2.5.4

Functions
cidx_manager.c File Reference
`#include "opj_includes.h"`

## Functions
void | opj_write_cptr (int coff, int clen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_cidx (int offset, opj_stream_private_t *cio, opj_codestream_info_t cstr_info, int j2klen, opj_event_mgr_t *p_manager)
void | opj_write_manf (int second, int v, opj_jp2_box_t *box, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_mainmhix (int coff, opj_codestream_info_t cstr_info, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
OPJ_BOOL | opj_check_EPHuse (int coff, opj_marker_info_t *markers, int marknum, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)

## Function Documentation

## ◆ opj_check_EPHuse()

OPJ_BOOL opj_check_EPHuse | ( | int | coff,
|  | opj_marker_info_t * | markers,
|  | int | marknum,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager )

References J2K_MS_COD, OPJ_FALSE, opj_read_bytes, opj_stream_read_data(), opj_stream_seek(), opj_stream_tell(), and OPJ_TRUE.

Referenced by opj_write_cidx().

## ◆ opj_write_cidx()

int opj_write_cidx | ( | int | offset,
|  | opj_stream_private_t * | cio,
|  | opj_codestream_info_t | cstr_info,
|  | int | j2klen,
|  | opj_event_mgr_t * | p_manager )

References opj_codestream_info::codestream_size, JPIP_CIDX, JPIP_MHIX, JPIP_PHIX, JPIP_PPIX, JPIP_THIX, JPIP_TPIX, opj_jp2_box::length, opj_codestream_info::marker, opj_codestream_info::marknum, opj_calloc(), opj_check_EPHuse(), opj_free(), opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_write_cptr(), opj_write_mainmhix(), opj_write_manf(), opj_write_phix(), opj_write_ppix(), opj_write_thix(), opj_write_tpix(), and opj_jp2_box::type.

## ◆ opj_write_cptr()

void opj_write_cptr | ( | int | coff,
|  | int | clen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager )

References JPIP_CPTR, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), and opj_write_bytes.

Referenced by opj_write_cidx().

## ◆ opj_write_mainmhix()

int opj_write_mainmhix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager )

References JPIP_MHIX, opj_marker_info::len, opj_codestream_info::main_head_end, opj_codestream_info::main_head_start, opj_codestream_info::marker, opj_codestream_info::marknum, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_marker_info::pos, and opj_marker_info::type.

Referenced by opj_write_cidx().

## ◆ opj_write_manf()

void opj_write_manf | ( | int | second,
|  | int | v,
|  | opj_jp2_box_t * | box,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager )

References JPIP_MANF, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), and opj_write_bytes.

Referenced by opj_write_cidx(), opj_write_phix(), opj_write_ppix(), and opj_write_thix().